Command Line Parameters

Malwarebytes' Anti-Malware

Malwarebytes' Anti-Malware is considered to be the next step in the detection and removal of malware. We compiled a number of new technologies that are designed to quickly detect, destroy, and prevent malware. Malwarebytes' Anti-Malware can detect and remove malware that even the most well-known Anti-Virus and Anti-Malware applications on the market today cannot.

Malwarebytes' Anti-Malware monitors every process and stops malicious processes before they even start. The realtime protection module uses our advanced heuristic scanning technology which monitors your system to keep it safe and secure. In addition, we have implemented a threats center which will allow you to keep up to date with the latest malware threats.


Key Features

Malwarebytes' Anti-Malware is an anti-malware application with the following features:

  • Support for Windows 2000, XP, Vista, and 7 (32-bit and 64-bit).
  • Light speed quick scanning.
  • Ability to perform full scans for all drives.
  • Malwarebytes' Anti-Malware protection module. (requires registration)
  • Database updates released daily.
  • Quarantine to hold threats and restore them at your convenience.
  • Ignore list for both the scanner and protection module.
  • Settings to enhance your Malwarebytes’ Anti-Malware performance.
  • A small list of extra utilities to help remove malware manually.
  • Multi-lingual support.
  • Works together with other anti-malware utilities.
  • Command line support for quick scanning.
  • Context menu integration to scan files on demand.

Plus many more!


System Requirements

The following requirements are necessary to run Malwarebytes' Anti-Malware.

  • Microsoft® Internet Explorer 5.5 or higher.
  • Microsoft® Windows 2000 or higher.
  • 500MHZ processor.
  • 256 MB of RAM.
  • 5 MB free disk space.


Navigation

Using Malwarebytes' Anti-Malware is a breeze! The interface is neatly divided by tabs to help you move through it quickly and efficiently. Below is a brief description of each tab.

  • Scanner: The scanner tab allows you to run a quick, full, or flash scan. This will reveal any malware on your system.
  • Protection: The protection tab allows you to configure and start the realtime protection module along with the scheduler. (requires registration)
  • Update: The update tab allows you to update the program and database to the latest versions. Please check at least weekly for updates.
  • Quarantine: The quarantine tab allows you to manage your removed threats. If you deleted something you did not want to, check here!
  • Logs: The logs tab allows you to manage your saved log files.
  • Ignore List: The ignore list tab allows you to manage your ignored items. Accidently ignored a threat? Check here!
  • Settings: The settings tab allows you to configure Malwarebytes' Anti-Malware to work just how you want it.
  • More Tools: The more tools tab allows you to run extra tools that we have included with Malwarebytes' Anti-Malware.
  • About: The about tab allows you to view information about Malwarebytes' Anti-Malware.


Error Codes

This document explains some common Malwarebytes’ Anti-Malware error codes. If the error is not listed, please contact us for a potential solution.

MBAM_ERROR_COMMAND_LINE
The command line parameters were either invalid or formatted incorrectly. Please verify the command line parameters were correct.

MBAM_ERROR_EXPANDING_VARIABLES
Please contact support for any known solutions.

MBAM_ERROR_MISSING_FILE
A file necessary to run this application is missing. Please reinstall the application.

MBAM_ERROR_NO_ITEMS_SELECTED
There were no items selected. Please ensure at least one item was selected.

MBAM_ERROR_INVALID_PROXY_PARAMETERS
The proxy information provided was incorrect. Please ensure the details are correct.

MBAM_ERROR_ENUMERATE_LANGUAGES
There was an error enumerating the language files. Please make sure at least one language file exists. Additionally, try reinstalling the application.

MBAM_ERROR_SCHEDULER_ADD
There was an error adding the scheduled task. Please ensure the details are correct.

MBAM_ERROR_SCHEDULER_REMOVE
There was an error removing the scheduled task. Please ensure the details are correct.

MBAM_ERROR_NOT_REGISTERED
You are attempting to use a feature that requires registration. Please register the product.

MBAM_ERROR_OS_NOT_SUPPORTED
The operating system is not supported. This application only runs on Windows 2000 and higher.

MBAM_ERROR_MEMORY_SCAN
An error occurred during the memory scan. Please try running the application in safe mode.

MBAM_ERROR_FILE_SCAN
An error occurred during the file scan. Please try running the application in safe mode.

MBAM_ERROR_CHECK_INFECTED
An error occurred while checking if a file was infected. Please try running the application in safe mode.

MBAM_ERROR_LOAD_DATABASE
An error occurred while loading the current database. Please reinstall the application.

MBAM_ERROR_LOAD_LOGS_LIST
An error occurred while loading the log files list. Please try restarting the application.

MBAM_ERROR_LOAD_QUARANTINE
An error occurred while loading the quarantine. Please try restarting the application.

MBAM_ERROR_LOAD_LANGUAGE
An error occurred while loading the current language. Try reinstalling the application.

MBAM_ERROR_LOAD_MD5
An error occurred while loading the MD5 generator. Please run Windows update.

MBAM_ERROR_UPDATING
An error occurred while updating the database or application. Please try again later.

MBAM_ERROR_ADD_TO_RESULTS
An error occurred while adding an item to the results list. Please try running the application in safe mode.

If you are unable to resolve your issue using the above documentation, please do not hesitate to contact us.


Ignoring Items

There may be items detected by Malwarebytes' Anti-Malware which you may want to ignore. Therefore, we have created an ignore list that you may add to. Any items in this list will be ignored by the scanner and by the protection module from further detection. To add items to this list, simply run a scan and click Show Results. The detection list will appear. Right click on any item you would like ignored and click Add to Ignore List. The item will no longer be detected.

If you would like to remove any items from the ignore list, simply click on the Ignore List tab and use the Remove and Remove All buttons.

Items ignored via the protection module are only ignored temporarily and not added to the ignore list.


Malwarebytes' Anti-Malware supports a variety of command line parameters. Corporate clients may contact us for additional command line parameters. To start the program using a command line parameter, simply open a Run prompt and type the following:

mbam.exe <parameters>
(where parameters is one or more of the following)

  • /errorsilent: suppresses all critical errors and writes the last error to <root-drive>\mbam-error.txt.
    • Examples:
      1. mbam.exe /errorsilent (will suppress all errors when the progarm is running)
  • /proxy <required server> <optional port> <optional username> <optional password>: allows you to update through a proxy server. Leave blank to remove proxy settings.
    • Examples:
      1. mbam.exe /proxy (will remove the proxy settings)
      2. mbam.exe /proxy proxy.com 80 (will use proxy.com on port 80 with no credentials)
      3. mbam.exe /proxy proxy.com 80 admin password (will use proxy.com with the specified credentials)
  • /logtofolder <optional path>: allows you to save all log files to the specified folder. If this folder does not exist, Malwarebytes' Anti-Malware attempts to create it. If the path is blank, changes are reverted to default settings. These logs do not show up on the Logs tab.
    • Examples:
      1. mbam.exe /logtofolder C:\mbam_log_files (will save all future log files to C:\mbam_log_files)
  • /logtofile <optional path>: allows you to save all log files to the specified file. If this file does not exist, Malwarebytes' Anti-Malware attempts to create it. Newest entries are appended to top of the file. If the path is blank, changes are reverted to default settings. This log does not show up on the Logs tab.
    • Examples:
      1. mbam.exe /logtofile C:\mbam_log_files\mbam-log.txt (will save all future log files to C:\mbam_log_files\mbam-log.txt)
    • Limitations:
      1. The path, in the above case C:\mbam_log_files, must exist.
  • /debug <optional -silent>: allows you to collect information to send as a bug report.
    • Examples:
      1. mbam.exe /debug (will bring up a prompt to save the debug file)
      2. mbam.exe /debug -silent (will save debug file silently to <root-drive>\mbam-info.txt)
  • /register: allows you to register the program without displaying the main dialog.
    • Examples:
      1. mbam.exe /register 12345-67890 AAAA-BBBB-CCCC-DDDD (will register the product using the license key passed in the parameters)
  • /developer: this command line parameter is explained in further detail in the false positives section.
    • Examples:
      1. mbam.exe /developer (will start the program with detailed detection information)
  • /update <optional -silent>: allows you to update the product and database.
    • Examples:
      1. mbam.exe /update (will attempt to update the database or program, depending on settings)
      2. mbam.exe /update -silent (will attempt to update the database or program silently)
    • Limitations:
      1. -silent parameter requires product registration.
  • /scan <optional -quick or -full or -flash> <optional -silent> <optional -remove> < optional -terminate> <optional -reboot> <optional -log>: initiates a scan with the selected options.
    • Parameters:
      1. -quick: initiates a quick scan.
      2. -full: initiates a full scan using saved drives in the registry.
      3. -flash: initiates a flash scan, memory and heuristics only (requires registration).

      4. -terminate: closes the program after a scan completes and no threats were found (can not be used with -silent).
      5. -log: overrides the save log checkmark on the settings tab.

      6. -silent: hides the GUI while scanning (does not need to be used with -terminate). Requires product registration.
      7. -reboot: reboots the computer if necessary, only valid if -silent is used. Requires product registration.
      8. -remove: automatically removes threats and saves a log file. Unless -silent is specified, GUI stays open. Requires product registration.
    • Examples:
      1. mbam.exe /scan (will run a default scan)
      2. mbam.exe /scan -full (will run a full scan)
      3. mbam.exe /scan -flash -terminate (will run a flash scan and terminate if no objects are detected)
      4. mbam.exe /scan -quick -log -silent -remove -reboot (will run a quick scan silently, logs, automatically removes threats, and reboots if necessary)
    • Limitations:
      1. -terminate parameter can not be used with the -silent parameter.
      2. -reboot parameter is only valid if used with the -silent parameter.
      3. -flash, -silent, -reboot, and -remove parameters require product registration.


Reporting False Positives

Every anti-malware program will eventually produce a false positive detection. A false positive occurs when an anti-malware product detects a file as malicious when in fact, it is legitimate. Malwarebytes’ Anti-Malware is not a perfect product and we try our best to prevent these false positives. In the event of a false positive, please read the following before contacting us.

Use a search engine to verify that others do not think the item is malicious. Once you are sure that Malwarebytes' Anti-Malware has detected a false positive, it is time to let us know. Please contact us and include a developer's log. To create a developer's log, simply start the program using the /developer command line. More information about using command line is located in this help file.


Contact Malwarebytes

We have provided the following information in the event you wish to contact Malwarebytes.

  • Support e-mail: support@malwarebytes.org
  • Support forums: http://forums.malwarebytes.org

Before contacting Malwarebytes, please review the error codes section of the help file. Also verify with the support forums that your question has not yet been answered.